QGIS Application - Bug report #21539
[Advanced Digitizing]
2019-03-10 02:03 AM - Joao Gaspar

Status: Feedback

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:3.4.5 Regression?: No
Operating System: Windows 10 Home 64-bits Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29355
Description

Tested in a shapefile format. Strange behaviour. See animated gif.

Steps:

1. Create an empty polygon shapefile.

2. Draw a polygon at least with 5 vertices.

3. Click in the simplify feature button from advanced digitizing

4. Click above the polygon double click many times. The dialogues start to appear and don't go away.

History

#1 - 2019-03-11 12:38 PM - Giovanni Manghi
- Status changed from Open to Feedback

Can't replicate here with the same version and environment.

#2 - 2019-03-12 03:10 PM - Jodo Gaspar

Is awkward because in QGIS 3.4.5 and QGIS 3.6 I'm having the same behaviour. | edit click 1 time in polygon but don't click in OK or Cancel Button, |

continue hitting the polygon and the dialog starts to duplicate, triplicate and so one. After this | can't cancel and | need to close and open QGIS to remove

the dialogs

#3 - 2019-03-12 03:13 PM - Giovanni Manghi

Jodo Gaspar wrote:

Is awkward because in QGIS 3.4.5 and QGIS 3.6 I'm having the same behaviour. | edit click 1 time in polygon but don't click in OK or Cancel

Button, I continue hitting the polygon and the dialog starts to duplicate, triplicate and so one. After this | can't cancel and | need to close and open
QGIS to remove the dialogs

try on a new/clean profile.

#4 - 2019-03-12 03:15 PM - Jodo Gaspar

Same behaviour :(
